Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom
Class ABatchMessage

    java.lang.Object
      com.fxcm.fix.custom.ABatchMessage

All Implemented Interfaces:
  ITransportable

Direct Known Subclasses:
  BatchRequest, BatchResponse

    public abstract class ABatchMessage

extends Object
implements ITransportable

Method Summary
`void` | `addMessage(ITransportable aMessage)`
`boolean` | `equals(Object o)`
`boolean` | `fill(IMessage aMsg)` Fills object state based on message state.
`int` | `getBatchResponseRequired()`
`int` | `getContingencyType()`
`String` | `getFXCMCommandID()`
`IMessage[]` | `getIMessages()`
`ITransportable[]` | `getITransportables()`
`long` | `getMakingTime()` Return the time when this instance of ITransportable object was made
`String` | `getMDReqID()` Obtains current market data request ID.
`Iterator` | `getMessages()`
`int` | `getMsgCount()`
`String` | `getRefMsgType()`
`String` | `getRequestID()` Obtains message request ID.
`String` | `getRequestTopicID()`
`String` | `getSessionID()`
`String` | `getTradingSessionID()` Obtains the Trading Session ID
`String` | `getTradingSessionSubID()` Obtains the Trading Session Sub ID
`UTCTimestamp` | `getTransactTime()`
`int` | `hashCode()`
`boolean` | `isValid()` Validates object state.
`void` | `reset()` Reset object state to default values.
`void` | `setBatchResponseRequired(int aBatchResponseRequired)`
`void` | `setContingencyType(int aContingencyType)`
`void` | `setFXCMCommandID(String aFXCMCommandID)`
`void` | `setMDReqID(String aMDReqID)` Sets Market Data Request ID, unique identifier.
`void` | `setRefMsgType(String aRefMsgType)`
`void` | `setRequestTopicID(String aRequestTopicID)`
`void` | `setSessionID(String aSessionID)`
`void` | `setTradingSessionID(String aTradingSessionID)`
`void` | `setTradingSessionSubID(String aTradingSessionSubID)`
`void` | `setTransactTime(UTCTimestamp aTransactTime)`
`IMessage` | `toMessage(String aSID, IMessageFactory aFactory)` Converts object to message.
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aOptions, IMessageFactory aFactory)` Converts object to IMessage.
`String` | `toString()`
`boolean` | `update(IMessage aMsg)` Updates object state based on message.
`void` | `useSerialization(boolean aUseSerialization)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.fxcm.messaging.ITransportable
`getType`

Method Detail

### getTradingSessionID

    public String getTradingSessionID()

  Description copied from interface: `ITransportable`
  Obtains the Trading Session ID

  Specified by:
    `getTradingSessionID` in interface `ITransportable`

### setTradingSessionID

    public void setTradingSessionID(String aTradingSessionID)

### getTradingSessionSubID

    public String getTradingSessionSubID()

  Description copied from interface: `ITransportable`
  Obtains the Trading Session Sub ID

  Specified by:
    `getTradingSessionSubID` in interface `ITransportable`

### setTradingSessionSubID

    public void setTradingSessionSubID(String aTradingSessionSubID)

### getFXCMCommandID

    public String getFXCMCommandID()

### setFXCMCommandID

    public void setFXCMCommandID(String aFXCMCommandID)

### setMDReqID

    public void setMDReqID(String aMDReqID)

  Sets Market Data Request ID, unique identifier.

  Conditionally required if this message is in response to a Market Data

  Parameters:
    `aMDReqID` - ID of original request

### getMDReqID

    public String getMDReqID()

  Obtains current market data request ID.

  Conditionally required if this message is in response to a Market Data Request.

  Returns:
    can be `null` when not present

### getMessages

    public Iterator getMessages()

### getIMessages

    public IMessage[] getIMessages()

### getITransportables

    public ITransportable[] getITransportables()

### getMsgCount

    public int getMsgCount()

### addMessage

    public void addMessage(ITransportable aMessage)

### reset

    public void reset()

  Reset object state to default values.

### toMessage

    public IMessage toMessage(String aSID,
                              IMessageFactory aFactory)

  Converts object to message.

  Specified by:
    `toMessage` in interface `ITransportable`
  Parameters:
    `aSID` - User session ID
    `aFactory` - message factory to create message objects
  Returns:
    Can be `null` in case of errors

### toMessage

    public IMessage toMessage(String aSID,
                              String aTradingSessionID,
                              String aTradingSessionSubID,
                              String aRequestID,
                              int aOptions,
                              IMessageFactory aFactory)

  Converts object to IMessage.

  Specified by:
    `toMessage` in interface `ITransportable`
  Parameters:
    `aSID` - user session ID
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aOptions` - Set of options for message creation, reserved
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### fill

    public boolean fill(IMessage aMsg)

  Fills object state based on message state.

  Specified by:
    `fill` in interface `ITransportable`
  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if new state is OK; `false` otherwise.

### update

    public boolean update(IMessage aMsg)

  Description copied from interface: `ITransportable`
  Updates object state based on message.

  Specified by:
    `update` in interface `ITransportable`
  Parameters:
    `aMsg` - message to get udpated state from
  Returns:
    `true` if succeeded, `false` otherwise.

### isValid

    public boolean isValid()

  Description copied from interface: `ITransportable`
  Validates object state.

  Specified by:
    `isValid` in interface `ITransportable`
  Returns:
    `true` if object state is valid, `false` otherwise.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRequestID

    public String getRequestID()

  Obtains message request ID.

  Specified by:
    `getRequestID` in interface `ITransportable`
  Returns:
    the same as getMDReqID().

### getRequestTopicID

    public String getRequestTopicID()

### setRequestTopicID

    public void setRequestTopicID(String aRequestTopicID)

### useSerialization

    public void useSerialization(boolean aUseSerialization)

### getSessionID

    public String getSessionID()

### setSessionID

    public void setSessionID(String aSessionID)

### getRefMsgType

    public String getRefMsgType()

### setRefMsgType

    public void setRefMsgType(String aRefMsgType)

### getBatchResponseRequired

    public int getBatchResponseRequired()

### setBatchResponseRequired

    public void setBatchResponseRequired(int aBatchResponseRequired)

### getMakingTime

    public long getMakingTime()

  Return the time when this instance of ITransportable object was made

  Specified by:
    `getMakingTime` in interface `ITransportable`
  Returns:
    object making time

### getContingencyType

    public int getContingencyType()

### setContingencyType

    public void setContingencyType(int aContingencyType)

### setTransactTime

    public void setTransactTime(UTCTimestamp aTransactTime)

### getTransactTime

    public UTCTimestamp getTransactTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.